/*
 * Copyright (C) 2007-2018 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

package ikr.simlib.result.xml;

/**
 * Implementation details shared by XML result readers/writers.
 * 
 */
public class XMLConstants {

   public static final String SIMULATION_RESULTS = "SimulationResults";
   public static final String RESULT = "Result";
   public static final String NODE = "Node";
   public static final String ARRAY = "Array";
   public static final String ARRAY_ITEM = "ArrayItem";

   public static final String VERSION_ATTRIBUTE = "version";
   public static final String NAME_ATTRIBUTE = "name";
   public static final String TYPE_ATTRIBUTE = "type";
   public static final String VALUE_ATTRIBUTE = "value";
   public static final String INDEX_ATTRIBUTE = "index";
   public static final String RESULT_TYPE_ATTRIBUTE = "result_type";
   public static final String SEED_INDEX_ATTRIBUTE = "seed_index";
   public static final String BATCH_NUMBER_ATTRIBUTE = "batch";
   public static final String TOTAL_BATCH_NUMBER_ATTRIBUTE = "number_of_batches";
   public static final String ROUNDING_PRECISION = "rounding_precision";

   public static final String LONG_TYPE = "longinteger";
   public static final String DOUBLE_TYPE = "double";
   public static final String STRING_TYPE = "string";
   public static final String ARRAY_TYPE = "array";
   public static final String ELEMENT_TYPE = "element";

   public static final String VERSION = "2"; // FIXME: change to version 3
   public static final String XMLVERSION = "1.0";
   public static final String ENCODING = "ISO-8859-1";
   public static final String BATCH = "batch";
   public static final String FINAL = "final";
   public static final String EXPORT = "export";
}
